%define name    ksquirrel	
%define version	0.6.0
%define release	%mkrel 0.pre7.1

Name:		%name
Summary:	KSquirrel - image viewer for KDE
Version:	%version
Release:	%release
License:	GPL
Group:	        Graphical desktop/KDE	

Source0:	http://kent.dl.sourceforge.net/sourceforge/ksquirrel/%name-%version-pre6.tar.bz2

Patch0:         ksquirrel-fix_build.patch

BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://ksquirrel.sourceforge.net/
Requires:	kdebase >= 3.0
BuildRequires:	kdebase-devel

%description
KSquirrel is a fast and convenient image viewer for KDE. 
Projecting this program, I have tried to avoid system mistakes 
which have been admitted in other similar viewers, and to make 
rather flexible program for convenient and fast viewing images.

%prep
%setup -q
%patch0 -p1

%build
make -f admin/Makefile.common
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure  --disable-rpath \
	    --disable-mmx

make

%install
rm -rf %{buildroot}
%makeinstall PACKAGE=%{name}
%{find_lang} %name

# Menu
mkdir -p %{buildroot}/%{_menudir}

kdedesktop2mdkmenu.pl %{name} "Multimedia/Graphics" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/ksquirrel.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}


#workaround space in names
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Open\ with\ GIMP.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop_Open_with_GIMP.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Open\ with\ GQview.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Open_with_GQview.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Open\ with\ KView.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Open_with_KView.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Open\ with\ KWrite.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Open_with_KWrite.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Open\ with\ Konqueror.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Open_with_Konqueror.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Open\ with\ KuickShow.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Open_with_KuickShow.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Open\ with\ Opera.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Open_with_Opera.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Open\ with\ ShowImg.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Open_with_ShowImg.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Print\ file.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Print_file.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Run\ within\ KDE.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Run_within_KDE.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Set\ as\ tiled\ wallpaper\ on\ desktop.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Set_as_tiled_wallpaper_on_desktop.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/Set\ as\ wallpaper\ on\ desktop.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/Set_as_wallpaper_on_desktop.desktop
mv %{buildroot}%{_datadir}/apps/%{name}/desktop/View\ in\ hexadecimal\ mode.desktop %{buildroot}%{_datadir}/apps/%{name}/desktop/View_in_hexadecimal_mode.desktop


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_menudir}/%{name}

%{_datadir}/applnk/Applications/ksquirrel.desktop
%{_datadir}/apps/%{name}/desktop_Open_with_GIMP.desktop
%{_datadir}/apps/%{name}/desktop/Open_with_GQview.desktop
%{_datadir}/apps/%{name}/desktop/Open_with_KView.desktop
%{_datadir}/apps/%{name}/desktop/Open_with_KWrite.desktop
%{_datadir}/apps/%{name}/desktop/Open_with_Konqueror.desktop
%{_datadir}/apps/%{name}/desktop/Open_with_KuickShow.desktop
%{_datadir}/apps/%{name}/desktop/Open_with_Opera.desktop
%{_datadir}/apps/%{name}/desktop/Open_with_ShowImg.desktop
%{_datadir}/apps/%{name}/desktop/Print_file.desktop
%{_datadir}/apps/%{name}/desktop/Run_within_KDE.desktop
%{_datadir}/apps/%{name}/desktop/Set_as_tiled_wallpaper_on_desktop.desktop
%{_datadir}/apps/%{name}/desktop/Set_as_wallpaper_on_desktop.desktop
%{_datadir}/apps/%{name}/desktop/View_in_hexadecimal_mode.desktop

%{_datadir}/apps/%{name}/%{name}rc

%{_datadir}/apps/ksquirrel/cursors/*.png
%{_datadir}/apps/%{name}/images/actions/*.png
%{_datadir}/apps/%{name}/images/anime.png
%{_datadir}/apps/%{name}/images/*.png
%{_datadir}/apps/%{name}/images/imageedit/*.png
%{_datadir}/apps/%{name}/images/listbox/image_win.png
%{_datadir}/apps/%{name}/images/marks/*.png
%{_datadir}/apps/%{name}/images/menu/*.png
%{_datadir}/apps/%{name}/images/thumbs/*.png
%{_datadir}/apps/%{name}/images/imageedit/squirrels/squirrel_resize.png

%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Tue Sep 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre7.1mdk
- 0.6.0pre7  ( bug fixes )

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre6.1mdk
- 0.6.0pre6
- Add Patch 0 : Fix Build  thanks to Phh for the lesson :)

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-1mdk
- First Mandriva package aka "comment ai-je pu ne pas voir ce logiciel :)"
